## strawberry 1.2.11

=== debian/changelog ===
strawberry (1.2.11-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 21 May 2025 00:57:19 -0700

strawberry (1.2.11-1) experimental; urgency=medium

  * New upstream version 1.2.11

 -- Peter Blackman <peter@pblackman.plus.com>  Sat, 17 May 2025 16:25:38 +0100

=== debian/control ===
Source: strawberry
Homepage: https://strawberrymusicplayer.org
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Peter Blackman <peter@pblackman.plus.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libasound2-dev,
               libboost-dev,
               libcdio-dev,
               libchromaprint-dev,
               libebur128-dev,
               libfftw3-dev,
               libglib2.0-dev,
               libgpod-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libicu-dev,
               libkdsingleapplication-qt6-dev,
               libmtp-dev,
               libpulse-dev,
               libsparsehash-dev,
               libsqlite3-dev,
               libtag-dev,
               libxkbcommon-dev,
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-base-private-dev,
               qt6-l10n-tools,
               qt6-tools-dev,
               qt6-tools-dev-tools,
               rapidjson-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/strawberry
Vcs-Git: https://salsa.debian.org/debian/strawberry.git

Package: strawberry
Architecture: any
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         libqt6sql6-sqlite,
         qt6-qpa-plugins,
         sqlite3,
         ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-alsa, gstreamer1.0-pulseaudio,
# Recommends: gstreamer1.0-alsa, gstreamer1.0-pulseaudio
Suggests: gstreamer1.0-plugins-bad, gstreamer1.0-plugins-ugly, qt6ct
Description: audio player and music collection organizer
 Strawberry is a music player aimed at music collectors and audiophiles.
 It is a fork of Clementine. The name is inspired by the band Strawbs.
 .
 Features:
  - Play and organize music
  - Supports WAV, FLAC, WavPack, Ogg Vorbis, Speex, MPC, TrueAudio,
  -   AIFF, MP4, MP3 and ASF
  - Audio CD playback
  - Native desktop notifications
  - Playlist management
  - Playlists in multiple formats
  - Advanced audio and device configuration for bit-perfect playback on Linux
  - Edit tags on audio files
  - Automatically retrieve tags from MusicBrainz
  - Album cover art from Last.fm, Musicbrainz, Discogs, Musixmatch, Deezer,
  -   Tidal, Qobuz and Spotify
  - Song lyrics from Musixmatch, ChartLyrics, lyrics.ovh,
     lololyrics.com, songlyrics.com, azlyrics.com and elyrics.net
  - Audio analyzer
  - Audio equalizer
  - Transfer music to mass-storage USB players, MTP compatible devices
  -   and iPod Nano/Classic
  - Scrobbler with support for Last.fm, Libre.fm and ListenBrainz
  - Streaming support for Subsonic-compatible servers
  - Unofficial streaming support for Tidal and Qobuz

## strawberry 1.2.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(strawberry C CXX)

if(APPLE)
  enable_language(OBJC OBJCXX)
endif()

if(POLICY CMP0054)
  cmake_policy(SET CMP0054 NEW)
endif()
if(POLICY CMP0074)
  cmake_policy(SET CMP0074 NEW)
endif()

include(CheckCXXCompilerFlag)
include(CheckCXXSourceRuns)
include(CheckIncludeFiles)
include(FindPkgConfig)
include(cmake/Version.cmake)
include(cmake/OptionalComponent.cmake)
include(cmake/OptionalSource.cmake)
include(cmake/ParseArguments.cmake)

if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
  set(LINUX ON)
endif()

if(LINUX)
  include(cmake/Rpm.cmake)
  include(cmake/Deb.cmake)
endif()

if(APPLE)
  include(cmake/Dmg.cmake)
endif()

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

if(CMAKE_BUILD_TYPE MATCHES "Release")
  add_definitions(-DNDEBUG)
  set(ENABLE_DEBUG_OUTPUT_DEFAULT OFF)
else()
  set(ENABLE_DEBUG_OUTPUT_DEFAULT ON)
endif()

if(APPLE OR WIN32)
  set(USE_BUNDLE_DEFAULT ON)
else()
  set(USE_BUNDLE_DEFAULT OFF)
endif()

if(WIN32)
  if(CMAKE_BUILD_TYPE MATCHES "Release")
    set(ENABLE_WIN32_CONSOLE_DEFAULT OFF)
  else()
    set(ENABLE_WIN32_CONSOLE_DEFAULT ON)
  endif()
endif()

option(BUILD_WERROR "Build with -Werror" OFF)
option(USE_RPATH "Use RPATH" APPLE)
option(USE_INSTALL_PREFIX "Look for data in CMAKE_INSTALL_PREFIX" ON)
option(INSTALL_TRANSLATIONS "Install translations" OFF)
option(ENABLE_DEBUG_OUTPUT "Enable debug output" ${ENABLE_DEBUG_OUTPUT_DEFAULT})
option(USE_BUNDLE "Bundle dependencies" ${USE_BUNDLE_DEFAULT})

if(WIN32)
  option(ENABLE_WIN32_CONSOLE "Show the windows console even outside Debug mode" ${ENABLE_WIN32_CONSOLE_DEFAULT})
endif()

if(MSVC)
  set(CMAKE_C_STANDARD 99)
else()
  set(CMAKE_C_STANDARD 11)
endif()

set(CMAKE_C_STANDARD_REQUIRED ON)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if(MSVC)
  list(APPEND COMPILE_OPTIONS -MP -W4 -wd4702)
else()
  list(APPEND COMPILE_OPTIONS
    $<$<COMPILE_LANGUAGE:C>:-std=c11>
    $<$<COMPILE_LANGUAGE:CXX>:-std=c++17>
    -Wall
    -Wextra
    -Wpedantic
    -Wunused
    -Wshadow
    -Wundef
    -Wuninitialized
    -Wredundant-decls
    -Wcast-align
    -Winit-self
    -Wmissing-include-dirs
    -Wmissing-declarations
    -Wstrict-overflow=2
    -Wunused-parameter
    -Wformat=2
    -Wdisabled-optimization
    $<$<COMPILE_LANGUAGE:CXX>:-Woverloaded-virtual>
    $<$<COMPILE_LANGUAGE:CXX>:-Wold-style-cast>
  )
  if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    list(APPEND COMPILE_OPTIONS -Wno-unused-command-line-argument)
  endif()
endif()

add_compile_options(${COMPILE_OPTIONS})

add_definitions(
  -DBOOST_BIND_NO_PLACEHOLDERS
  -DQT_STRICT_ITERATORS
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
  -DQT_NO_FOREACH
  -DQT_ASCII_CAST_WARNINGS
  -DQT_NO_CAST_FROM_ASCII
  -DQT_NO_KEYWORDS
  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
)

if(WIN32)
  add_definitions(
    -DUNICODE
    -DNOMINMAX
  )
endif()

if(BUILD_WERROR)
  set(CMAKE_COMPILE_WARNING_AS_ERROR ON)
endif()

if(NOT ENABLE_DEBUG_OUTPUT)
  add_definitions(-DQT_NO_DEBUG_OUTPUT)
endif()

if(USE_RPATH)
  set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
endif()

find_program(CCACHE_EXECUTABLE NAMES ccache)
if(CCACHE_EXECUTABLE)
  message(STATUS "ccache found: will be used for compilation and linkage")
  SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ${CCACHE_EXECUTABLE})
  SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_LINK ${CCACHE_EXECUTABLE})
endif()

find_package(PkgConfig REQUIRED)
find_package(Threads REQUIRED)
find_package(Backtrace)
if(Backtrace_FOUND)
  set(HAVE_BACKTRACE ON)
endif()
find_package(Boost CONFIG)
if(NOT Boost_FOUND)
  find_package(Boost REQUIRED)
endif()
find_package(ICU COMPONENTS uc i18n REQUIRED)
if(UNIX AND NOT APPLE)
  if(LINUX)
    find_package(ALSA REQUIRED)
  else()
    find_package(ALSA)
  endif()
  find_package(X11 COMPONENTS X11_xcb)
endif()
pkg_check_modules(GLIB REQUIRED IMPORTED_TARGET glib-2.0)
pkg_check_modules(GOBJECT REQUIRED IMPORTED_TARGET gobject-2.0)
if(NOT APPLE)
  pkg_check_modules(GIO REQUIRED IMPORTED_TARGET gio-2.0)
  if(GIO_FOUND AND UNIX)
    pkg_check_modules(GIO_UNIX IMPORTED_TARGET gio-unix-2.0)
  endif()
endif()
pkg_check_modules(LIBCDIO IMPORTED_TARGET libcdio)
pkg_check_modules(GSTREAMER REQUIRED IMPORTED_TARGET gstreamer-1.0)
pkg_check_modules(GSTREAMER_BASE REQUIRED IMPORTED_TARGET gstreamer-base-1.0)
pkg_check_modules(GSTREAMER_AUDIO REQUIRED IMPORTED_TARGET gstreamer-audio-1.0)
pkg_check_modules(GSTREAMER_APP REQUIRED IMPORTED_TARGET gstreamer-app-1.0)
pkg_check_modules(GSTREAMER_TAG REQUIRED IMPORTED_TARGET gstreamer-tag-1.0)
pkg_check_modules(GSTREAMER_PBUTILS REQUIRED IMPORTED_TARGET gstreamer-pbutils-1.0)
pkg_check_modules(SQLITE REQUIRED IMPORTED_TARGET sqlite3>=3.9)
if(UNIX AND NOT APPLE)
  pkg_check_modules(LIBPULSE IMPORTED_TARGET libpulse)
endif()
pkg_check_modules(CHROMAPRINT IMPORTED_TARGET libchromaprint>=1.4)
pkg_check_modules(FFTW3 IMPORTED_TARGET fftw3)
pkg_check_modules(LIBEBUR128 IMPORTED_TARGET libebur128)
pkg_check_modules(LIBGPOD IMPORTED_TARGET libgpod-1.0>=0.7.92)
pkg_check_modules(LIBMTP IMPORTED_TARGET libmtp>=1.0)
pkg_check_modules(GDK_PIXBUF IMPORTED_TARGET gdk-pixbuf-2.0)

find_package(TagLib 2.0)
if(TARGET TagLib::TagLib)
  set(TAGLIB_FOUND ON)
  set(TAGLIB_LIBRARIES TagLib::TagLib)
  set(HAVE_TAGLIB_DSFFILE ON)
  set(HAVE_TAGLIB_DSDIFFFILE ON)
else()
  pkg_check_modules(TAGLIB REQUIRED IMPORTED_TARGET taglib>=1.12)
endif()

find_package(GTest)

pkg_check_modules(LIBSPARSEHASH IMPORTED_TARGET libsparsehash)

find_package(RapidJSON)

set(QT_VERSION_MAJOR 6)
set(QT_MIN_VERSION 6.4.0)
set(QT_DEFAULT_MAJOR_VERSION ${QT_VERSION_MAJOR})
set(QT_COMPONENTS Core Concurrent Gui Widgets Network Sql)
set(QT_OPTIONAL_COMPONENTS GuiPrivate LinguistTools Test)
if(UNIX AND NOT APPLE)
  list(APPEND QT_OPTIONAL_COMPONENTS DBus)
endif()
set(QT_NO_PRIVATE_MODULE_WARNING ON)

find_package(Qt${QT_VERSION_MAJOR} ${QT_MIN_VERSION} COMPONENTS ${QT_COMPONENTS} REQUIRED OPTIONAL_COMPONENTS ${QT_OPTIONAL_COMPONENTS})

if(TARGET "Qt${QT_VERSION_MAJOR}::GuiPrivate")
  set(QT_GUI_PRIVATE_FOUND ON)
endif()

if(Qt${QT_VERSION_MAJOR}DBus_FOUND)
  set(DBUS_FOUND ON)
endif()

if(X11_FOUND)
  # Check for QX11Application (Qt 6 compiled with XCB).
  set(CMAKE_REQUIRED_FLAGS "-std=c++17")
  set(CMAKE_REQUIRED_LIBRARIES Qt${QT_VERSION_MAJOR}::Core Qt${QT_VERSION_MAJOR}::Gui)
  check_cxx_source_compiles("
    #include <QGuiApplication>
    int main() {
      (void)qApp->nativeInterface<QNativeInterface::QX11Application>();
      return 0;
    }
    "
    HAVE_QX11APPLICATION
  )
  unset(CMAKE_REQUIRED_FLAGS)
  unset(CMAKE_REQUIRED_LIBRARIES)
endif()

find_package(KDSingleApplication-qt${QT_VERSION_MAJOR} 1.1.0 REQUIRED)

if(APPLE)
  find_library(SPARKLE Sparkle)
  #find_package(SPMediaKeyTap REQUIRED)
endif()

if(WIN32)
  find_package(getopt-win REQUIRED)
endif()

if(APPLE OR WIN32)
  find_package(qtsparkle-qt${QT_VERSION_MAJOR})
  if(TARGET "qtsparkle-qt${QT_VERSION_MAJOR}::qtsparkle")
    set(QTSPARKLE_FOUND ON)
  endif()
endif()

if(UNIX AND NOT APPLE)
  optional_component(ALSA ON "ALSA integration"
    DEPENDS "alsa" ALSA_FOUND
  )
  optional_component(PULSE ON "PulseAudio integration"
    DEPENDS "libpulse" LIBPULSE_FOUND
  )
  optional_component(DBUS ON "D-Bus support"
    DEPENDS "Qt D-Bus" DBUS_FOUND
  )
  optional_component(MPRIS2 ON "MPRIS2 D-Bus Interface"
    DEPENDS "D-Bus support" HAVE_DBUS
  )
endif()

optional_component(SONGFINGERPRINTING ON "Song fingerprinting and tracking"
  DEPENDS "chromaprint" CHROMAPRINT_FOUND
)

optional_component(MUSICBRAINZ ON "MusicBrainz integration"
  DEPENDS "chromaprint" CHROMAPRINT_FOUND
)

if(UNIX AND NOT APPLE)
  optional_component(X11_GLOBALSHORTCUTS ON "X11 global shortcuts"
    DEPENDS "X11" X11_FOUND
    DEPENDS "QX11Application" HAVE_QX11APPLICATION
  )
  optional_component(KGLOBALACCEL_GLOBALSHORTCUTS ON "KGlobalAccel global shortcuts"
    DEPENDS "D-Bus support" HAVE_DBUS
  )
  optional_component(UDISKS2 ON "Devices: UDisks2 backend"
    DEPENDS "D-Bus support" HAVE_DBUS
  )
endif()

if(NOT APPLE)
  optional_component(GIO ON "Devices: GIO device backend"
    DEPENDS "libgio" GIO_FOUND
  )
  if(UNIX)
    optional_component(GIO_UNIX ON "Devices: GIO device backend (Unix support)"
      DEPENDS "libgio-unix" GIO_UNIX_FOUND
    )
  endif()
endif()

optional_component(AUDIOCD ON "Devices: Audio CD support"
  DEPENDS "libcdio" LIBCDIO_FOUND
)

optional_component(MTP ON "Devices: MTP support"
  DEPENDS "libmtp" LIBMTP_FOUND
)

optional_component(GPOD ON "Devices: iPod classic support"
  DEPENDS "libgpod" LIBGPOD_FOUND
  DEPENDS "gdk-pixbuf" GDK_PIXBUF_FOUND
)

optional_component(TRANSLATIONS ON "Translations"
  DEPENDS "Qt LinguistTools" Qt${QT_VERSION_MAJOR}LinguistTools_FOUND
)

optional_component(SUBSONIC ON "Streaming: Subsonic")
optional_component(TIDAL ON "Streaming: Tidal")
optional_component(SPOTIFY ON "Streaming: Spotify")
optional_component(QOBUZ ON "Streaming: Qobuz")

optional_component(MOODBAR ON "Moodbar"
  DEPENDS "fftw3" FFTW3_FOUND
)

optional_component(EBUR128 ON "EBU R 128 loudness normalization"
  DEPENDS "libebur128" LIBEBUR128_FOUND
)

if(APPLE)
  optional_component(SPARKLE ON "Sparkle integration"
    DEPENDS "Sparkle" SPARKLE
  )
endif()

if(APPLE OR WIN32)
  optional_component(QTSPARKLE ON "QtSparkle integration"
    DEPENDS "QtSparkle" QTSPARKLE_FOUND
  )
endif()

optional_component(QPA_QPLATFORMNATIVEINTERFACE ON "QPA Platform Native Interface"
  DEPENDS "Qt Gui Private" QT_GUI_PRIVATE_FOUND
)

optional_component(STREAMTAGREADER ON "Stream tagreader"
  DEPENDS "sparsehash" LIBSPARSEHASH_FOUND
)

optional_component(DISCORD_RPC ON "Discord Rich Presence"
  DEPENDS "RapidJSON" RapidJSON_FOUND
)

if(HAVE_SONGFINGERPRINTING OR HAVE_MUSICBRAINZ)
  set(HAVE_CHROMAPRINT ON)
endif()

if(HAVE_X11_GLOBALSHORTCUTS OR HAVE_KGLOBALACCEL_GLOBALSHORTCUTS OR APPLE OR WIN32)
  set(HAVE_GLOBALSHORTCUTS ON)
endif()

if(NOT CMAKE_CROSSCOMPILING)
  # Check that we have Qt with sqlite driver
  set(CMAKE_REQUIRED_FLAGS "-std=c++17")
  set(CMAKE_REQUIRED_LIBRARIES Qt${QT_VERSION_MAJOR}::Core Qt${QT_VERSION_MAJOR}::Sql)
  check_cxx_source_runs("
    #include <QCoreApplication>
    #include <QSqlDatabase>
    #include <QSqlQuery>
    int main(int argc, char *argv[]) {
      QCoreApplication app(argc, argv);
      QSqlDatabase db = QSqlDatabase::addDatabase(\"QSQLITE\");
      db.setDatabaseName(\":memory:\");
      if (!db.open()) { return 1; }
      QSqlQuery q(db);
      q.prepare(\"CREATE TABLE test (test TEXT);\");
      if (!q.exec()) return 1;
    }
    "
    QT_SQLITE_TEST
  )
endif()

add_executable(strawberry)

if(APPLE)
  set_target_properties(strawberry PROPERTIES MACOSX_BUNDLE TRUE)
  set_target_properties(strawberry PROPERTIES MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_BINARY_DIR}/dist/macos/Info.plist")
endif()

if(WIN32 AND NOT ENABLE_WIN32_CONSOLE)
  set_target_properties(strawberry PROPERTIES WIN32_EXECUTABLE TRUE)
endif()

set(SOURCES
  src/core/logging.cpp
  src/core/mainwindow.cpp
  src/core/application.cpp
  src/core/playerinterface.cpp
  src/core/player.cpp
  src/core/commandlineoptions.cpp
  src/core/database.cpp
  src/core/memorydatabase.cpp
  src/core/sqlquery.cpp
  src/core/sqlrow.cpp
  src/core/metatypes.cpp
  src/core/deletefiles.cpp
  src/core/filesystemmusicstorage.cpp
  src/core/filesystemwatcherinterface.cpp
  src/core/mergedproxymodel.cpp
  src/core/multisortfilterproxy.cpp
  src/core/musicstorage.cpp
  src/core/networkaccessmanager.cpp
  src/core/threadsafenetworkdiskcache.cpp
  src/core/networktimeouts.cpp
  src/core/networkproxyfactory.cpp
  src/core/qtfslistener.cpp
  src/core/settings.cpp
  src/core/settingsprovider.cpp
  src/core/signalchecker.cpp
  src/core/song.cpp
  src/core/songloader.cpp
  src/core/stylehelper.cpp
  src/core/stylesheetloader.cpp
  src/core/taskmanager.cpp
  src/core/thread.cpp
  src/core/urlhandler.cpp
  src/core/urlhandlers.cpp
  src/core/iconloader.cpp

=== debian/changelog ===
strawberry (1.2.12-1~mx21+1) mx; urgency=medium

  * New upstream version 1.2.12

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 14 Aug 2025 23:58:35 -0700

strawberry (1.2.11-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 21 May 2025 00:57:19 -0700

=== debian/control ===
--- 
+++ 
@@ -38,14 +38,15 @@
 
 Package: strawberry
 Architecture: any
-Depends: gstreamer1.0-plugins-base,
+Depends: gstreamer1.0-alsa,
+         gstreamer1.0-plugins-base,
          gstreamer1.0-plugins-good,
+         gstreamer1.0-pulseaudio,
          libqt6sql6-sqlite,
          qt6-qpa-plugins,
          sqlite3,
          ${misc:Depends},
-         ${shlibs:Depends},
-         gstreamer1.0-alsa, gstreamer1.0-pulseaudio,
+         ${shlibs:Depends}
 # Recommends: gstreamer1.0-alsa, gstreamer1.0-pulseaudio
 Suggests: gstreamer1.0-plugins-bad, gstreamer1.0-plugins-ugly, qt6ct
 Description: audio player and music collection organizer

## strawberry 1.2.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -259,7 +259,16 @@
 endif()
 
 if(WIN32)
-  find_package(getopt-win REQUIRED)
+  find_package(getopt NAMES getopt getopt-win unofficial-getopt-win32 REQUIRED)
+  if(TARGET getopt::getopt)
+    set(GETOPT_LIBRARIES getopt::getopt)
+  elseif(TARGET getopt-win::getopt)
+    set(GETOPT_LIBRARIES getopt-win::getopt)
+  elseif(TARGET getopt::getopt_shared)
+    set(GETOPT_LIBRARIES getopt::getopt_shared)
+  else()
+    message(FATAL_ERROR "Missing getopt")
+  endif()
 endif()
 
 if(APPLE OR WIN32)
@@ -433,16 +442,3 @@
   src/core/threadsafenetworkdiskcache.cpp
   src/core/networktimeouts.cpp
   src/core/networkproxyfactory.cpp
-  src/core/qtfslistener.cpp
-  src/core/settings.cpp
-  src/core/settingsprovider.cpp
-  src/core/signalchecker.cpp
-  src/core/song.cpp
-  src/core/songloader.cpp
-  src/core/stylehelper.cpp
-  src/core/stylesheetloader.cpp
-  src/core/taskmanager.cpp
-  src/core/thread.cpp
-  src/core/urlhandler.cpp
-  src/core/urlhandlers.cpp
-  src/core/iconloader.cpp

=== debian/changelog ===
strawberry (1.2.13-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 05 Sep 2025 10:02:08 -0700

strawberry (1.2.13-1) unstable; urgency=medium

  * New upstream version 1.2.13
  * Update long description

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 02 Sep 2025 21:47:58 +0100

strawberry (1.2.12-1) unstable; urgency=medium

  * Update gbp.conf with branch names
  * New upstream version 1.2.12  (Closes: #1102403)
  * Revert to unstable now freeze is over

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 13 Aug 2025 08:53:19 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS   = hardening=+all

%:
	dh $@

# Rename script
execute_after_dh_auto_install:
	cp -v dist/scripts/import-from-clementine.sh \
	      debian/strawberry/usr/bin/strawberry-import-from-clementine

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## strawberry 1.2.14

=== debian/CMakeLists.txt ===
if(LSB_RELEASE_EXEC AND DPKG_BUILDPACKAGE)

  execute_process(COMMAND env LC_ALL=C date "+%a, %-d %b %Y %H:%M:%S %z" OUTPUT_VARIABLE DEB_DATE OUTPUT_STRIP_TRAILING_WHITESPACE)
  execute_process(COMMAND /bin/sh "-c" "${LSB_RELEASE_EXEC} -cs" OUTPUT_VARIABLE DEB_CODENAME OUTPUT_STRIP_TRAILING_WHITESPACE)

  if(DEB_CODENAME AND DEB_DATE)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/changelog.in ${CMAKE_CURRENT_SOURCE_DIR}/changelog)
  endif()

endif()

=== dist/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/scripts/maketarball.sh.in ${CMAKE_CURRENT_SOURCE_DIR}/scripts/maketarball.sh @ONLY)
if(RPM_DISTRO AND RPM_DATE)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/unix/strawberry.spec.in ${CMAKE_BINARY_DIR}/strawberry.spec @ONLY)
endif()

if(APPLE)
  if(DEFINED ENV{MACOSX_DEPLOYMENT_TARGET})
    set(LSMinimumSystemVersion $ENV{MACOSX_DEPLOYMENT_TARGET})
  else()
    set(LSMinimumSystemVersion 12.0)
  endif()
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/macos/Info.plist.in ${CMAKE_CURRENT_BINARY_DIR}/macos/Info.plist)
endif()

if(WIN32)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/windows/windres.rc.in ${CMAKE_BINARY_DIR}/windres.rc)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/windows/strawberry.nsi.in ${CMAKE_BINARY_DIR}/strawberry.nsi @ONLY)
endif()

if(UNIX AND NOT APPLE)
  install(FILES ../data/icons/48x48/strawberry.png DESTINATION share/icons/hicolor/48x48/apps/)
  install(FILES ../data/icons/64x64/strawberry.png DESTINATION share/icons/hicolor/64x64/apps/)
  install(FILES ../data/icons/128x128/strawberry.png DESTINATION share/icons/hicolor/128x128/apps/)
  install(FILES unix/org.strawberrymusicplayer.strawberry.desktop DESTINATION share/applications)
  install(FILES unix/org.strawberrymusicplayer.strawberry.appdata.xml DESTINATION share/metainfo)
  install(FILES unix/strawberry.1 DESTINATION share/man/man1)
endif()

if(APPLE)
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/macos/Info.plist" DESTINATION "${CMAKE_BINARY_DIR}/strawberry.app/Contents")
  install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/macos/strawberry.icns" DESTINATION "${CMAKE_BINARY_DIR}/strawberry.app/Contents/Resources")
endif()

=== tests/CMakeLists.txt ===
enable_testing()

add_custom_target(strawberry_tests echo "Running Strawberry tests" WORKING_DIRECTORY ${CURRENT_BINARY_DIR})
add_custom_target(build_tests WORKING_DIRECTORY ${CURRENT_BINARY_DIR})
add_dependencies(strawberry_tests build_tests)

add_definitions(-DGTEST_USE_OWN_TR1_TUPLE=1)

set(TESTUTILS-SOURCES
  src/mock_networkaccessmanager.cpp
  src/mock_playlistitem.cpp
  src/test_utils.cpp
)

set(TESTUTILS-MOC-HEADERS src/mock_networkaccessmanager.h src/test_utils.h)

qt_wrap_cpp(TESTUTILS-SOURCES-MOC ${TESTUTILS-MOC-HEADERS})

add_library(test_utils STATIC EXCLUDE_FROM_ALL ${TESTUTILS-SOURCES} ${TESTUTILS-SOURCES-MOC})
target_include_directories(test_utils PRIVATE
  ${CMAKE_BINARY_DIR}/src
  ${CMAKE_SOURCE_DIR}/src
)
target_link_libraries(test_utils PRIVATE
  GTest::gtest
  GTest::gmock
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::Widgets
  Qt${QT_VERSION_MAJOR}::Network
  Qt${QT_VERSION_MAJOR}::Sql
  Qt${QT_VERSION_MAJOR}::Test
)

qt_add_resources(TEST-RESOURCE-SOURCES data/testdata.qrc ${CMAKE_SOURCE_DIR}/data/data.qrc ${CMAKE_SOURCE_DIR}/data/icons.qrc)

add_library(test_main STATIC EXCLUDE_FROM_ALL ${TEST-RESOURCE-SOURCES} src/main.cpp)
target_include_directories(test_main PRIVATE
  ${CMAKE_BINARY_DIR}/src
  ${CMAKE_SOURCE_DIR}/src
)
target_link_libraries(test_main PRIVATE
  ${CMAKE_THREAD_LIBS_INIT}
  PkgConfig::GLIB
  PkgConfig::GOBJECT
  PkgConfig::GSTREAMER_BASE
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::Widgets
  strawberry_lib
)

add_library(test_gui_main STATIC EXCLUDE_FROM_ALL ${TEST-RESOURCE-SOURCES} src/main.cpp)
target_include_directories(test_gui_main PRIVATE
  ${CMAKE_BINARY_DIR}/src
  ${CMAKE_SOURCE_DIR}/src
)
target_link_libraries(test_gui_main PRIVATE
  ${CMAKE_THREAD_LIBS_INIT}
  PkgConfig::GLIB
  PkgConfig::GOBJECT
  PkgConfig::GSTREAMER_BASE
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::Widgets
  strawberry_lib
)
set_target_properties(test_gui_main PROPERTIES COMPILE_DEFINITIONS GUI)

# Given a file foo_test.cpp, creates a target foo_test and adds it to the test target.
macro(add_test_file test_source gui_required)
    get_filename_component(TEST_NAME ${test_source} NAME_WE)
    add_executable(${TEST_NAME} EXCLUDE_FROM_ALL ${test_source})
    target_include_directories(${TEST_NAME} PRIVATE
      ${CMAKE_BINARY_DIR}/src
      ${CMAKE_SOURCE_DIR}/src
    )
    target_link_libraries(${TEST_NAME} PRIVATE
      ${CMAKE_THREAD_LIBS_INIT}
      PkgConfig::GLIB
      PkgConfig::GOBJECT
      PkgConfig::GSTREAMER_BASE
      Qt${QT_VERSION_MAJOR}::Core
      Qt${QT_VERSION_MAJOR}::Concurrent
      Qt${QT_VERSION_MAJOR}::Network
      Qt${QT_VERSION_MAJOR}::Sql
      Qt${QT_VERSION_MAJOR}::Test
      Qt${QT_VERSION_MAJOR}::Widgets
    )
    target_link_libraries(${TEST_NAME} PRIVATE test_utils)
    set(GUI_REQUIRED ${gui_required})
    if(GUI_REQUIRED)
      target_link_libraries(${TEST_NAME} PRIVATE test_gui_main)
    else()
      target_link_libraries(${TEST_NAME} PRIVATE test_main)
    endif()

    add_test(NAME ${TEST_NAME} COMMAND ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}${CMAKE_EXECUTABLE_SUFFIX})
    add_custom_command(TARGET strawberry_tests POST_BUILD COMMAND ./${TEST_NAME}${CMAKE_EXECUTABLE_SUFFIX})
    add_dependencies(build_tests ${TEST_NAME})
endmacro(add_test_file)

add_test_file(src/utilities_test.cpp false)
add_test_file(src/concurrentrun_test.cpp false)
add_test_file(src/mutex_protected_test.cpp false)
add_test_file(src/mergedproxymodel_test.cpp false)
add_test_file(src/sqlite_test.cpp false)
add_test_file(src/tagreader_test.cpp false)
add_test_file(src/collectionbackend_test.cpp false)
add_test_file(src/collectionmodel_test.cpp true)
add_test_file(src/songplaylistitem_test.cpp false)
add_test_file(src/organizeformat_test.cpp false)
add_test_file(src/playlist_test.cpp true)

add_custom_target(run_strawberry_tests COMMAND ${CMAKE_CTEST_COMMAND} -V DEPENDS strawberry_tests)

=== debian/changelog ===
strawberry (1.2.14-1) unstable; urgency=medium

  * New upstream version 1.2.14
  * Remove libre.fm from long description
  * Remove Rules-Require_Root
  * Update watch file to version 5

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 26 Oct 2025 16:29:01 +0000

=== debian/control ===
Source: strawberry
Homepage: https://strawberrymusicplayer.org
Section: sound
Priority: optional
Maintainer: Peter Blackman <peter@pblackman.plus.com>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libglib2.0-dev,
 libboost-dev,
 libsqlite3-dev,
 libasound2-dev,
 libpulse-dev,
 libtag-dev,
 libicu-dev,
 libxkbcommon-dev,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-base-dev-tools,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-l10n-tools,
 libkdsingleapplication-qt6-dev,
 libgstreamer1.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libcdio-dev,
 libgpod-dev,
 libmtp-dev,
 libchromaprint-dev,
 libfftw3-dev,
 libebur128-dev,
 libsparsehash-dev,
 rapidjson-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/strawberry
Vcs-Git: https://salsa.debian.org/debian/strawberry.git

Package: strawberry
Architecture: any
Depends:
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 libqt6sql6-sqlite,
 qt6-qpa-plugins,
 sqlite3,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 gstreamer1.0-alsa,
 gstreamer1.0-pulseaudio
Suggests:
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-ugly,
 qt6ct
Description: audio player and music collection organizer
 Strawberry is a music player aimed at music collectors and audiophiles.
 It is a fork of Clementine. The name is inspired by the band Strawbs.
 .
 Features:
  - Play and organize music
  - Supports WAV, FLAC, WavPack, Ogg Vorbis, Speex, MPC, TrueAudio,
  -   AIFF, MP4, MP3 and ASF
  - Audio CD playback
  - Native desktop notifications
  - Playlist management
  - Playlists in multiple formats
  - Advanced audio and device configuration for bit-perfect playback on Linux
  - Edit tags on audio files
  - Automatically retrieve tags from MusicBrainz
  - Album cover art from Last.fm, Musicbrainz, Discogs, Musixmatch, Deezer,
  -   Tidal, Qobuz and Spotify
  - Song lyrics from Musixmatch, ChartLyrics, lyrics.ovh, lololyrics.com,
     songlyrics.com, azlyrics.com. elyrics.net, letras.mus.br and LyricFind
  - Audio analyzer
  - Audio equalizer
  - Transfer music to mass-storage USB players, MTP compatible devices
  -   and iPod Nano/Classic
  - Scrobbler with support for Last.fm and ListenBrainz
  - Streaming support for Subsonic-compatible servers
  - Unofficial streaming support for Tidal and Qobuz

=== debian/watch ===
Version: 5

Source: https://files.strawberrymusicplayer.org
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## strawberry 1.2.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -266,6 +266,8 @@
     set(GETOPT_LIBRARIES getopt-win::getopt)
   elseif(TARGET getopt::getopt_shared)
     set(GETOPT_LIBRARIES getopt::getopt_shared)
+  elseif(TARGET unofficial::getopt-win32::getopt)
+    set(GETOPT_LIBRARIES unofficial::getopt-win32::getopt)
   else()
     message(FATAL_ERROR "Missing getopt")
   endif()
@@ -439,6 +441,3 @@
   src/core/multisortfilterproxy.cpp
   src/core/musicstorage.cpp
   src/core/networkaccessmanager.cpp
-  src/core/threadsafenetworkdiskcache.cpp
-  src/core/networktimeouts.cpp
-  src/core/networkproxyfactory.cpp

=== debian/changelog ===
strawberry (1.2.15-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 01 Dec 2025 22:33:21 -0800

strawberry (1.2.15-1) unstable; urgency=medium

  * Fix typo in debian/lrc.config
  * Remove unneeded lintian override
  * New upstream version 1.2.15

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 26 Nov 2025 14:43:37 +0000

=== debian/control ===
--- 
+++ 
@@ -2,56 +2,51 @@
 Homepage: https://strawberrymusicplayer.org
 Section: sound
 Priority: optional
-Maintainer: Peter Blackman <peter@pblackman.plus.com>
-Build-Depends:
- cmake,
- debhelper-compat (= 13),
- libglib2.0-dev,
- libboost-dev,
- libsqlite3-dev,
- libasound2-dev,
- libpulse-dev,
- libtag-dev,
- libicu-dev,
- libxkbcommon-dev,
- qt6-base-dev,
- qt6-base-private-dev,
- qt6-base-dev-tools,
- qt6-tools-dev,
- qt6-tools-dev-tools,
- qt6-l10n-tools,
- libkdsingleapplication-qt6-dev,
- libgstreamer1.0-dev,
- libgstreamer-plugins-base1.0-dev,
- libcdio-dev,
- libgpod-dev,
- libmtp-dev,
- libchromaprint-dev,
- libfftw3-dev,
- libebur128-dev,
- libsparsehash-dev,
- rapidjson-dev
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Peter Blackman <peter@pblackman.plus.com>
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libasound2-dev,
+               libboost-dev,
+               libcdio-dev,
+               libchromaprint-dev,
+               libebur128-dev,
+               libfftw3-dev,
+               libglib2.0-dev,
+               libgpod-dev,
+               libgstreamer-plugins-base1.0-dev,
+               libgstreamer1.0-dev,
+               libicu-dev,
+               libkdsingleapplication-qt6-dev,
+               libmtp-dev,
+               libpulse-dev,
+               libsparsehash-dev,
+               libsqlite3-dev,
+               libtag-dev,
+               libxkbcommon-dev,
+               qt6-base-dev,
+               qt6-base-dev-tools,
+               qt6-base-private-dev,
+               qt6-l10n-tools,
+               qt6-tools-dev,
+               qt6-tools-dev-tools,
+               rapidjson-dev
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/strawberry
 Vcs-Git: https://salsa.debian.org/debian/strawberry.git
 
 Package: strawberry
 Architecture: any
-Depends:
- gstreamer1.0-plugins-base,
- gstreamer1.0-plugins-good,
- libqt6sql6-sqlite,
- qt6-qpa-plugins,
- sqlite3,
- ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
- gstreamer1.0-alsa,
- gstreamer1.0-pulseaudio
-Suggests:
- gstreamer1.0-plugins-bad,
- gstreamer1.0-plugins-ugly,
- qt6ct
+Depends: gstreamer1.0-plugins-base,
+         gstreamer1.0-plugins-good,
+         libqt6sql6-sqlite,
+         qt6-qpa-plugins,
+         sqlite3,
+         ${misc:Depends},
+         ${shlibs:Depends},
+         gstreamer1.0-alsa, gstreamer1.0-pulseaudio
+# Recommends: gstreamer1.0-alsa, gstreamer1.0-pulseaudio
+Suggests: gstreamer1.0-plugins-bad, gstreamer1.0-plugins-ugly, qt6ct
 Description: audio player and music collection organizer
  Strawberry is a music player aimed at music collectors and audiophiles.
  It is a fork of Clementine. The name is inspired by the band Strawbs.

## strawberry 1.2.16

=== debian/changelog ===
strawberry (1.2.16-1) unstable; urgency=medium

  * New upstream version 1.2.16
  * Update long description
  * Update email address

 -- Peter Blackman <peterb@debian.org>  Wed, 17 Dec 2025 21:17:09 +0000

=== debian/control ===
Source: strawberry
Homepage: https://strawberrymusicplayer.org
Section: sound
Priority: optional
Maintainer: Peter Blackman <peterb@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libglib2.0-dev,
 libboost-dev,
 libsqlite3-dev,
 libasound2-dev,
 libpulse-dev,
 libtag-dev,
 libicu-dev,
 libxkbcommon-dev,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-base-dev-tools,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-l10n-tools,
 libkdsingleapplication-qt6-dev,
 libgstreamer1.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libcdio-dev,
 libgpod-dev,
 libmtp-dev,
 libchromaprint-dev,
 libfftw3-dev,
 libebur128-dev,
 libsparsehash-dev,
 rapidjson-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/strawberry
Vcs-Git: https://salsa.debian.org/debian/strawberry.git

Package: strawberry
Architecture: any
Depends:
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 libqt6sql6-sqlite,
 qt6-qpa-plugins,
 sqlite3,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 gstreamer1.0-alsa,
 gstreamer1.0-pulseaudio
Suggests:
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-ugly,
 qt6ct
Description: audio player and music collection organizer
 Strawberry is a music player aimed at music collectors and audiophiles.
 It is a fork of Clementine. The name is inspired by the band Strawbs.
 .
 Features:
  - Play and organize music
  - Supports WAV, FLAC, WavPack, Ogg Vorbis, Speex, MPC, TrueAudio,
  -   AIFF, MP4, MP3 and ASF
  - Audio CD playback
  - Native desktop notifications
  - Playlist management
  - Playlists in multiple formats
  - Advanced audio and device configuration for bit-perfect playback on Linux
  - Edit tags on audio files
  - Automatically retrieve tags from MusicBrainz
  - Album cover art from Last.fm, Musicbrainz, Discogs, Musixmatch, Deezer,
  -   Tidal, Qobuz and Spotify
  - Lyrics from multiple sources
  - Audio analyzer
  - Audio equalizer
  - Transfer music to mass-storage USB players, MTP compatible devices
  -   and iPod Nano/Classic
  - Scrobbler with support for Last.fm and ListenBrainz
  - Streaming support for Subsonic-compatible servers
  - Unofficial streaming support for Tidal and Qobuz

## strawberry 1.2.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -84,8 +84,6 @@
   list(APPEND COMPILE_OPTIONS -MP -W4 -wd4702)
 else()
   list(APPEND COMPILE_OPTIONS
-    $<$<COMPILE_LANGUAGE:C>:-std=c11>
-    $<$<COMPILE_LANGUAGE:CXX>:-std=c++17>
     -Wall
     -Wextra
     -Wpedantic
@@ -255,7 +253,6 @@
 
 if(APPLE)
   find_library(SPARKLE Sparkle)
-  #find_package(SPMediaKeyTap REQUIRED)
 endif()
 
 if(WIN32)
@@ -441,3 +438,6 @@
   src/core/multisortfilterproxy.cpp
   src/core/musicstorage.cpp
   src/core/networkaccessmanager.cpp
+  src/core/threadsafenetworkdiskcache.cpp
+  src/core/networktimeouts.cpp
+  src/core/networkproxyfactory.cpp

=== debian/changelog ===
strawberry (1.2.17-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 30 Jan 2026 15:03:17 -0800

strawberry (1.2.17-1) unstable; urgency=medium

  * Update Standards to 4.7.3 (Remove Priority: from d/control)
  * Update copyright dates
  * New upstream version 1.2.17

 -- Peter Blackman <peterb@debian.org>  Sun, 18 Jan 2026 20:25:24 +0000

=== debian/control ===
Source: strawberry
Homepage: https://strawberrymusicplayer.org
Section: sound
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Peter Blackman <peterb@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libasound2-dev,
               libboost-dev,
               libcdio-dev,
               libchromaprint-dev,
               libebur128-dev,
               libfftw3-dev,
               libglib2.0-dev,
               libgpod-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libicu-dev,
               libkdsingleapplication-qt6-dev,
               libmtp-dev,
               libpulse-dev,
               libsparsehash-dev,
               libsqlite3-dev,
               libtag-dev,
               libxkbcommon-dev,
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-base-private-dev,
               qt6-l10n-tools,
               qt6-tools-dev,
               qt6-tools-dev-tools,
               rapidjson-dev
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/strawberry
Vcs-Git: https://salsa.debian.org/debian/strawberry.git

Package: strawberry
Architecture: any
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         libqt6sql6-sqlite,
         qt6-qpa-plugins,
         sqlite3,
         ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-alsa, gstreamer1.0-pulseaudio
Suggests: gstreamer1.0-plugins-bad, gstreamer1.0-plugins-ugly, qt6ct
Description: audio player and music collection organizer
 Strawberry is a music player aimed at music collectors and audiophiles.
 It is a fork of Clementine. The name is inspired by the band Strawbs.
 .
 Features:
  - Play and organize music
  - Supports WAV, FLAC, WavPack, Ogg Vorbis, Speex, MPC, TrueAudio,
  -   AIFF, MP4, MP3 and ASF
  - Audio CD playback
  - Native desktop notifications
  - Playlist management
  - Playlists in multiple formats
  - Advanced audio and device configuration for bit-perfect playback on Linux
  - Edit tags on audio files
  - Automatically retrieve tags from MusicBrainz
  - Album cover art from Last.fm, Musicbrainz, Discogs, Musixmatch, Deezer,
  -   Tidal, Qobuz and Spotify
  - Lyrics from multiple sources
  - Audio analyzer
  - Audio equalizer
  - Transfer music to mass-storage USB players, MTP compatible devices
  -   and iPod Nano/Classic
  - Scrobbler with support for Last.fm and ListenBrainz
  - Streaming support for Subsonic-compatible servers
  - Unofficial streaming support for Tidal and Qobuz

## strawberry 1.2.18

=== debian/changelog ===
strawberry (1.2.18-1) unstable; urgency=medium

  * New upstream version 1.2.18

 -- Peter Blackman <peterb@debian.org>  Thu, 12 Feb 2026 11:28:06 +0000

=== debian/control ===
Source: strawberry
Homepage: https://strawberrymusicplayer.org
Section: sound
Maintainer: Peter Blackman <peterb@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libglib2.0-dev,
 libboost-dev,
 libsqlite3-dev,
 libasound2-dev,
 libpulse-dev,
 libtag-dev,
 libicu-dev,
 libxkbcommon-dev,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-base-dev-tools,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-l10n-tools,
 libkdsingleapplication-qt6-dev,
 libgstreamer1.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libcdio-dev,
 libgpod-dev,
 libmtp-dev,
 libchromaprint-dev,
 libfftw3-dev,
 libebur128-dev,
 libsparsehash-dev,
 rapidjson-dev
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/strawberry
Vcs-Git: https://salsa.debian.org/debian/strawberry.git

Package: strawberry
Architecture: any
Depends:
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 libqt6sql6-sqlite,
 qt6-qpa-plugins,
 sqlite3,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 gstreamer1.0-alsa,
 gstreamer1.0-pulseaudio
Suggests:
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-ugly,
 qt6ct
Description: audio player and music collection organizer
 Strawberry is a music player aimed at music collectors and audiophiles.
 It is a fork of Clementine. The name is inspired by the band Strawbs.
 .
 Features:
  - Play and organize music
  - Supports WAV, FLAC, WavPack, Ogg Vorbis, Speex, MPC, TrueAudio,
  -   AIFF, MP4, MP3 and ASF
  - Audio CD playback
  - Native desktop notifications
  - Playlist management
  - Playlists in multiple formats
  - Advanced audio and device configuration for bit-perfect playback on Linux
  - Edit tags on audio files
  - Automatically retrieve tags from MusicBrainz
  - Album cover art from Last.fm, Musicbrainz, Discogs, Musixmatch, Deezer,
  -   Tidal, Qobuz and Spotify
  - Lyrics from multiple sources
  - Audio analyzer
  - Audio equalizer
  - Transfer music to mass-storage USB players, MTP compatible devices
  -   and iPod Nano/Classic
  - Scrobbler with support for Last.fm and ListenBrainz
  - Streaming support for Subsonic-compatible servers
  - Unofficial streaming support for Tidal and Qobuz
